%define name		libggi
%define version		2.0.2
%define release		2mdk
%define summary		A fast, simple, small and flexible user-space graphics library
%define lib_name_orig	%{name}
%define lib_major	2
%define lib_name	%{lib_name_orig}%{lib_major}
 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		System/Libraries
URL:		http://www.ggi-project.org
Source:		%{name}-%{version}.src.tar.bz2
Patch0:		libggi-2.0.1-no-lcd823-ppc.patch.bz2
BuildRequires:	XFree86-devel
Buildrequires:	libgii0-devel >= 0.8.2
Buildrequires:	libaa1-devel
Buildrequires:	ncurses-devel
Buildrequires:	libslang1-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
LibGGI is a fast, simple, small and flexible user-space graphics
library developed by the GGI Project <http://www.ggi-project.org/>.
It attempts to abstract the many different graphics output systems
existing under Unix (and in the future, other platforms). The support
for all of these different types of displays and hardware are provided
by dynamically-loaded mini-libraries.

LibGGI can transparently (to the LibGGI-using application) display
graphics on an X window, fbcon (Linux framebuffer driver), or the 
glide library, through their respective graphics drivers, or targets. 
There are also some other targets which display through another 
target, such as multi to display simultaneously on multiple displays 
at once, and tile to tile your display to different monitors.

LibGGI supports acceleration of graphics primitives where possible.

LibGGI is a very generic piece of software, that will run on about
every platform that has remotely heard of POSIX (ports to other systems
such as Win32 are underway) and on many display subsystems.

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%name

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release} libgii0-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{lib_name}-static-devel
Summary:	Static Library for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name}-devel = %{version}-%{release}

%description -n %{lib_name}-static-devel
This package contains the static library that programmers will need to develop
applications which will use %{name}.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .ppc

%build
./autogen.sh
%configure2_5x --enable-static
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
 
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.1999 FAQ INSTALL INSTALL.autoconf NEWS README doc/*.txt
%config(noreplace) %{_sysconfdir}/ggi/*
%{_bindir}/*
%{_libdir}/ggi/*/*.la
%{_libdir}/ggi/*/*.so
%{_libdir}/ggi/default/fbdev/*/*.la
%{_libdir}/ggi/default/fbdev/*/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/ggi/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_includedir}/ggi/*
%{_libdir}/*.a
%{_libdir}/ggi/*/*.a
%{_libdir}/ggi/default/fbdev/*/*.a

%changelog
* Wed Jan 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-2mdk
- add a static-devel subpackage
- autoconf2.5 macro
- enable building of the static library 

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2

* Wed Nov 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.1-5mdk
- no lcd823 on ppc either

* Wed May 22 2002 Yves Duret <yduret@mandrakesoft.com> 2.0.1-4mdk
- rebuild without svgalib support.
- removed ref about svgalib in description.
- manual rebuild with gcc 3.1.
- add Buildrequires: ncurses-devel.
- add Buildrequires: libslang1-devel.
- %%configure.
- *.la files in devel packages.

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-3mdk
- requires (pixel)

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- fix requires

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.1

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- made the library package depends on main package for configuration files

* Sun Aug 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- shut up, tar
- fixed %%sysconfdir

* Mon Aug 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0-1mdk
- first Mandrake release
